<?php

require_once 
    dirname(dirname(dirname(dirname(__FILE__)))) . DIRECTORY_SEPARATOR . 'tima.php';

if (!defined('SIMPLE_TEST')) {
    define('SIMPLE_TEST', dirname(dirname(dirname(__FILE__))) . DS . 'simpletest');
}
require_once 
    SIMPLE_TEST . DS . 'unit_tester.php';
require_once
    SIMPLE_TEST . DS . 'reporter.php';

/**
 *  Connector_Name⥸塼롦饹Υƥȥ
 */
class Test_Module_Connector_Name extends UnitTestCase 
{

    /**
     * ⥸塼Υƥ
     * 
     * @return void
     * @access puclic
     */
    function testZip()
    {
        $module = &Module::factory('Connector');

        $this->assertEqual(
            'ġϺ', 
            $module->zip('Name', array('family' => '', 'first' => 'Ϻ')));
        $this->assertEqual(
            'ġϺ', 
            $module->zip('Name', array('first' => 'Ϻ', 'family' => '')));
        $this->assertEqual(
            'ġϺ', 
            $module->zip(
                'Name', 
                array('family' => '', 'first' => 'Ϻ', 'Ϻ', 'Ϻ')));
        $this->assertEqual(
            'ġϺ', 
            $module->zip(
                'Name', 
                array('Ϻ', 'first' => 'Ϻ', 'family' => '', 'Ϻ')));

        $this->assertEqual('', $module->zip('Name', array('family' => '')));
        $this->assertEqual('', $module->zip('Name', array('first' => 'Ϻ')));
        $this->assertEqual('', $module->zip('Name', array('', 'Ϻ')));
        $this->assertEqual(
            '', 
            $module->zip('Name', array('', 'first' => 'Ϻ')));
        $this->assertEqual(
            '', 
            $module->zip('Name', array('family' => '', 'Ϻ')));
        $this->assertEqual(
            '', 
            $module->zip('Name', array('foo' => '', 'bar' => 'Ϻ')));

        $this->assertEqual(
            '[] [Ϻ]', 
            $module->zip(
                'Name', 
                array('family' => '', 'first' => 'Ϻ'), 
                '[%1$s] [%2$s]'));
        $this->assertEqual(
            '', 
            $module->zip(
                'Name', 
                array('family' => '', 'first' => 'Ϻ'), 
                '%1$s'));
        $this->assertEqual(
            '', 
            $module->zip('Name', array('family' => '', 'first' => 'Ϻ'), ''));
    }
}

$test = &new Test_Module_Connector_Name;
$test->run(new TextReporter);
