<?php

/**
 * The tiny modules for web application
 * - PHP versions 4 -
 * 
 * @category  web application framework
 * @package   tima
 * @author    IKEDA Youhey <youhey.ikeda@gmail.com>
 * @license   http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @copyright 2007 IKEDA Youhey
 *     Licensed under the Apache License, Version 2.0 (the "License"); 
 *     you may not use this file except in compliance with the License. 
 *     You may obtain a copy of the License at 
 *         http://www.apache.org/licenses/LICENSE-2.0 
 *     Unless required by applicable law or agreed to in writing, software 
 *     distributed under the License is distributed on an "AS IS" BASIS, 
 *     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *     See the License for the specific language governing permissions and 
 *     limitations under the License.
 * @version  1.0.0
 */

/**
 * all-ini.php - Initialize for all -
 * 
 * ͤȤưĶˤʤޤ
 * <code>
 * return array(
 *     array(
 *         'key'   => 'ꤹ̾', 
 *         'value' => 'ꤹ', 
 *         'space' => '̾', 
 *       ), 
 *     array(
 *         'key'   => 'config_name', 
 *         'value' => 'config_value', 
 *         'space' => 'name_space', 
 *       ), 
 *   );
 * </code>
 * 
 * եϥ󥯥롼ɤͤɾޤ
 * ֵѰʳưˤѤϡտޤʤưθˤʤޤ
 * 
 * - եƤϰʲνǾ񤭤ޤ
 *  - all-ini.php => Ƥζ
 *  - <front>-ini.php => եȡȥʥȥ̾Ƚǡ
 *  - <action>-ini.php => 󡦥ȥʥȥ̾Ƚǡ
 * - եϼˤäɤ߹ॿߥ󥰤㤤ޤ
 *  - all-ini.phpθƤӽФϥեȡȥν
 *  - <front>-ini.phpθƤӽФϥեȡȥν
 *  - <action>-ini.phpϥեȡȥμ¹Ի
 * 
 * ΥեϴܤνͤʤΤǸ§Ȥƽ񤭴ʤ
 * ͤѹϳƥȥͭǾ񤹤
 */

return
    array(
            // ꥯȤդ륢Υ̾
            array(
                    'key'   => 'action_key', 
                    'value' => 'do', 
                    'space' => 'env', 
                ), 
            // å̾
            array(
                    'key'   => 'session_name', 
                    'value' => 'sid', 
                    'space' => 'env', 
                ), 
            // Υ饹̾
            array(
                    'key'   => 'logger_class', 
                    'value' => 'Logger', 
                    'space' => 'env', 
                ), 

            // ȥ꡼ݥȤˤʤHTTPĶΥ롼ȥѥʥ̾ʹߤΥ롼
            array(
                    'key'   => 'http_root_path', 
                    'value' => '/', 
                    'space' => 'env', 
                ), 
            // ȥ꡼ݥȤˤʤHTTPSĶΥ롼ȥѥ
            // 롼ȥѥHTTPHTTPSǰۤʤˤΤͭ
            array(
                    'key'   => 'https_root_path', 
                    'value' => '/', 
                    'space' => 'env', 
                ), 

            // å󥰤٥
            // --------------------------------------------------
            // level(1) : TW_LOG_TRACE
            // level(2) : TW_LOG_DEBUG
            // level(3) : TW_LOG_INFO
            // level(4) : TW_LOG_NOTICE
            // level(5) : TW_LOG_WARN
            // level(6) : TW_LOG_ERROR
            // level(7) : TW_LOG_FATAL
            array(
                    'key'   => 'log_level', 
                    'value' => TW_LOG_WARN, 
                    'space' => 'env', 
                ), 
            // Υץ
            array(
                    'key'   => 'log_option', 
                    'value' => array(), 
                    'space' => 'env', 
                ), 
        );
